public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: dev-util/gitlab-ci-local-bin/
Date: Wed,  2 Aug 2023 16:31:27 +0000 (UTC)	[thread overview]
Message-ID: <1690993868.174dcf903f357e5f7f1a6260854336a100d86866.flow@gentoo> (raw)
Message-ID: <20230802163127.ILhNYMcGY4NFZIb3x6A8qYv7zkcxwM6IGAtBcoAkGBQ@z> (raw)

commit:     174dcf903f357e5f7f1a6260854336a100d86866
Author:     Florian Schmaus <flow <AT> gentoo <DOT> org>
AuthorDate: Wed Aug  2 16:31:08 2023 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Wed Aug  2 16:31:08 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=174dcf90

dev-util/gitlab-ci-local-bin: new package, add 4.42.0

Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 dev-util/gitlab-ci-local-bin/Manifest              |  1 +
 .../gitlab-ci-local-bin-4.42.0.ebuild              | 41 ++++++++++++++++++++++
 dev-util/gitlab-ci-local-bin/metadata.xml          | 11 ++++++
 3 files changed, 53 insertions(+)

diff --git a/dev-util/gitlab-ci-local-bin/Manifest b/dev-util/gitlab-ci-local-bin/Manifest
new file mode 100644
index 0000000000..9942a931ae
--- /dev/null
+++ b/dev-util/gitlab-ci-local-bin/Manifest
@@ -0,0 +1 @@
+DIST gitlab-ci-local-bin-4.42.0.gz 19647095 BLAKE2B 5aa7fda0b9bc59a2a201e7e9bc106ee0d39b561abe9ebc7d14e9da83f169452f778e1b91549e9d40d9bcdf827e6e9c2a759cd8ae1ddad89af02b65806daf2a55 SHA512 423bdefaf472bea71aa73d728fa1d1a75fa525de0ec360aa165c39af96c191c9aa421c3f8ce5e3d149f3f652abb0e010cc2460c106625bd39daa63cde3d88a54

diff --git a/dev-util/gitlab-ci-local-bin/gitlab-ci-local-bin-4.42.0.ebuild b/dev-util/gitlab-ci-local-bin/gitlab-ci-local-bin-4.42.0.ebuild
new file mode 100644
index 0000000000..7e5c8ce879
--- /dev/null
+++ b/dev-util/gitlab-ci-local-bin/gitlab-ci-local-bin-4.42.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit shell-completion
+
+DESCRIPTION="Run gitlab pipelines locally as shell executor or docker executor"
+HOMEPAGE="https://github.com/firecow/gitlab-ci-local"
+SRC_URI="https://github.com/firecow/gitlab-ci-local/releases/download/${PV}/linux.gz -> ${P}.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# gitlab-ci-local requires debug information to run, as it performs a
+# sort of self-introspection.
+RESTRICT="strip"
+
+S="${WORKDIR}"
+
+MY_PN="${PN/-bin/}"
+
+QA_PREBUILT="usr/bin/gitlab-ci-local"
+
+src_prepare() {
+	default
+
+	chmod 755 ${P} || die
+}
+
+src_compile() {
+	# Generate zsh completion.
+	./${P} --completion > _${MY_PN} || die
+}
+
+src_install() {
+	newbin ${P} ${MY_PN}
+
+	dozshcomp _${MY_PN}
+}

diff --git a/dev-util/gitlab-ci-local-bin/metadata.xml b/dev-util/gitlab-ci-local-bin/metadata.xml
new file mode 100644
index 0000000000..0368e58bb7
--- /dev/null
+++ b/dev-util/gitlab-ci-local-bin/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<name>Florian Schmaus</name>
+		<email>flow@gentoo.org</email>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">firecow/gitlab-ci-local</remote-id>
+	</upstream>
+</pkgmetadata>


             reply	other threads:[~2023-08-02 16:31 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-08-02 16:31 Florian Schmaus [this message]
2023-08-02 16:31 ` [gentoo-commits] repo/proj/guru:master commit in: dev-util/gitlab-ci-local-bin/ Florian Schmaus
  -- strict thread matches above, loose matches on Subject: below --
2023-09-11  8:12 [gentoo-commits] repo/proj/guru:dev " Florian Schmaus
2024-06-05 12:47 Florian Schmaus
2024-06-05 12:48 [gentoo-commits] repo/proj/guru:master " Florian Schmaus
2024-06-05 12:47 ` [gentoo-commits] repo/proj/guru:dev " Florian Schmaus
2024-12-11 10:15 [gentoo-commits] repo/proj/guru:master " Florian Schmaus
2024-12-11 10:14 ` [gentoo-commits] repo/proj/guru:dev " Florian Schmaus

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1690993868.174dcf903f357e5f7f1a6260854336a100d86866.flow@gentoo \
    --to=flow@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox